wicd (1.7.4+tb2-6+devuan2) chimaera; urgency=medium

  * Just provide a transitional package for Chimaera so users don't end up
    without a network manager.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 17 Oct 2021 17:04:32 +0100

wicd (1.7.4+tb2-6+devuan1.1) unstable; urgency=medium

  * merged latest version into unstable 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 24 Nov 2018 14:19:29 +0000

wicd (1.7.4+tb2-6) unstable; urgency=low

  * Set "Rules-Requires-Root: no".
  * Add debian/duck-override for "moved to" false positive on
    bugs.debian.org.
  * Declare compliance with Debian Policy 4.1.4. (No changes needed.)
  * Apply patch by Wasif Malik to fix "AttributeError in keypress():
    'Text' object has no attribute 'keypress'" in wicd-curses. Thanks
    Wasif! (Closes: #814090)
  * Update Vcs-* headers for move to salsa.debian.org.
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.
  * Fix several spelling errors in packaging found by Lintian.
  * Install upstream .service files, but patch them to fix multiple
    lintian warnings and to not disconnect the network connection on
    service stop. (Closes: #789567)
  * Replace dependency on python-gobject with python-gobject-2. (Closes:
    #890179)
  * Replace gksu and gksudo with pkexec and su-to-root. (Closes: #885546)
    + Update and rename patch 32-prefer_gksu.patch accordingly.
    + Recommend policykit-1 or menu (or kde-runtime for kdesu) instead of
      gksu.
  * Add a DEP12 upstream metadata file.
  * Add a note to /etc/default/wicd that the file is ignored if systemd is
    used as init system.

 -- Axel Beckert <abe@debian.org>  Mon, 23 Apr 2018 01:10:23 +0200

wicd (1.7.4+tb2-5) unstable; urgency=medium

  * Add location of Debian derivatives patches in debian/README.source.
  * Declare compliance with Debian Policy 4.1.1.
    + Switch DEP5 copyright format URL to HTTPS.
  * Replace dependencies on "net-tools | ethtool" and "net-tools |
    iproute2" in wicd-daemon with a hard dependency on net-tools and
    suggesting ethtool and iproute2 in python-wicd. Thanks to Neels
    Hofmeyr for the bug report. (Closes: #881225)
  * Switch bugs.debian.org URLs in DEP3 headers to HTTPS and short form.

 -- Axel Beckert <abe@debian.org>  Sat, 11 Nov 2017 00:18:14 +0100

wicd (1.7.4+tb2-4+devuan1) unstable; urgency=medium

  [ KatolaZ ]
  * amended dependency on net-tools
  * amended VCS and added README.Devuan
  * added gbp.conf

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 09 Mar 2018 21:35:34 +0000

wicd (1.7.4+tb2-4) unstable; urgency=medium

  [ Axel Beckert ]
  * Drop old quilt-related contents of debian/README.source and hijack it
    for inter-distribution hints.

  [ Giap Tran ]
  * Add patch to fix wrong Galician translation (Closes: #856690,
    LP: #1689138)
  * Add Vietnamese translation.
  * Change my name to ASCII-compatible variant also in debian/changelog.

 -- Axel Beckert <abe@debian.org>  Sun, 28 May 2017 22:20:00 +0200

wicd (1.7.4+tb2-3) unstable; urgency=medium

  [ Axel Beckert ]
  * Now maintained by the Debian WICD Packaging Team. (Closes: #801253)
    + Change Vcs-* URLs to …/pkg-wicd/wicd.git
    + Update Maintainers field and add Uploaders field.
  * Add NEWS.Debian entry for changes between Jessie and Stretch
    wrt. /etc/wicd/dhclient.conf.template and the possible need to update
    the file manually.
  * Update dependency on dhcpcd to dhcpcd5. (Closes: #783272) Thanks
    Konrad Zimmermann!
  * Fix typo MSCHAPv2 vs MSCHAPV2 for more pedantic wpa_supplicant 2.6.
    (LP: #1656061) Thanks to Piotr Karbowski for the upstream bug report
    and suggested fix!
  * Add WPA*-PEAP templates without domain. (Closes: #831805, #759785, LP:
    #1591489)
  * Add patch to fix documentation wrt. to which dhclient.conf wicd
    (re)generates. Also update mention path in an older NEWS.Debian item
    to avoid confusion. (Closes: #773809)

  [ Giap Tran ]
  * Remove $DAEMON_OPTIONS from reload function.

  [ John C. Peterson ]
  * wicd-gtk: Add patch to initialize state of Wifi On/Off button
    properly. (Closes: #758737, LP: #1232521)

  [ Vincent Lefevre ]
  * Add patch to fix wicd-manager-settings.conf(5) man page
    wrt. wired_connect_mode. (Closes: #557156)

 -- Axel Beckert <abe@debian.org>  Sun, 22 Jan 2017 17:16:07 +0100

wicd (1.7.4+tb2-2) unstable; urgency=low

  * QA upload

  [ Axel Beckert ]
  * Fix FTBFS if $LANG is unset (or set to something unexpected) by
    hardcoding a sane value in debian/rules. (Closes: #824596)
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Switch Vcs-Git header from git:// to https://.

  [ Giap Tran ]
  * Add default DAEMON_ARGS="--keep-connection" to /etc/default/wicd
    (Closes: #816076)

 -- Axel Beckert <abe@debian.org>  Sun, 22 May 2016 23:50:03 +0200

wicd (1.7.4+tb2-1) unstable; urgency=low

  * QA upload

  [ toogley ]
  * cleaned up trailing spaces inside d/changelog
  * fixing lintian error "command-in-menu-file-and-desktop-file"
    https://lintian.debian.org/tags/command-in-menu-file-and-desktop-file.html

  [ Axel Beckert ]
  * Import second tarball release of new upstream release.
    + Remove 38-fix_WEP-hex_connection_template.patch (applied upstream)
    + Refresh 26-support_etc-network_scripts.patch.
  * Remove 02-workaround_dhclient_bug.patch (#609851 has been fixed in
    dhclient)

 -- Axel Beckert <abe@debian.org>  Tue, 26 Jan 2016 10:11:53 +0100

wicd (1.7.3-3) unstable; urgency=low

  * QA upload
  * Add patch from upstream bug report to fix "IndexError: list index out
    of range" in wicd-curses. (Closes: #812224)
  * Add patch to fix the parsing and writing of wep-hex configurations and
    hence fix connecting to WEP based networks. (Closes: #812427)

 -- Axel Beckert <abe@debian.org>  Sun, 24 Jan 2016 02:35:17 +0100

wicd (1.7.3-2) unstable; urgency=low

  * QA upload
  * Add new /usr/share/wicd/icons/ directory to debian/wicd-gtk.install.
    Fixes regression with missing status icons in wicd-gtk.  (Closes:
    #811364) Thanks to Reiner Herrmann for the right hint!

 -- Axel Beckert <abe@debian.org>  Mon, 18 Jan 2016 23:28:27 +0100

wicd (1.7.3-1) unstable; urgency=low

  * QA upload

  [ Andreas Henriksson ]
  * Depend on iproute2 instead of transitional package iproute

  [ Ritesh Raj Sarraf ]
  * Imported Upstream version 1.7.3 (Closes: #774894)
    - fixes "wicd-daemon: no autoconnect when GUI is open" (Closes: #582567)
  * Refresh patches and drop some patches (applied upstream)
  * Fix build failure on ast.po.
  * Disable installation of gnome-shell-extension

  [ Axel Beckert ]
  * Update Vcs-* headers.
  * Change Homepage header from SourceForge to Launchpad as wicd's
    SourceForge page is horribly out of date and refers to Launchpad.
  * Integrate 1.7.2.4-4.2 NMU + 1.7.2.4-5 QA upload and refresh
    34-newer_urwid accordingly.
  * Fix lintian warning wildcard-matches-nothing-in-dep5-copyright.
  * Add install.log to debian/clean to allow building twice in a row.
  * Remove all other/* entries from debian/clean, they seem obsolete.
  * Apply wrap-and-sort.
  * Bump debhelper compatibility to 9 as recommended.
    + Update versioned build-dependency on debhelper accordingly.
  * debian/rules:
    + Restore wicd/wpath.py in clean target to have a pristine working copy
      again after running debian/rules clean.
    + No more set the unused variable CURVER.
    + List % target first for clarity.
  * Add build-dependency on dh-python to fix dh_python2 warning.
  * wicd-*.postinst: Guard find call with check if directory exists.
    (Closes: #724031, #785671)
  * Use patch from Voidlinux to fix "ValueError: None is not in list"
    error when accessing the network properties of any wireless network in
    wicd-curses.
  * Add patch to show "Q" as key to quit the wireless network property
    view since the originally shown "Esc" doesn't work (anymore).

  [ toogley ]
  * added turkish translation for debconf template (Closes: #759884)

 -- Axel Beckert <abe@debian.org>  Sun, 17 Jan 2016 19:34:51 +0100

wicd (1.7.2.4-5) unstable; urgency=low

  * QA upload.
  * Set Maintainer field to QA Group.
  * Bump Standards-Version to 3.9.6.
  * Remove install.log in override_dh_auto_clean to fix FTBFS when building
    the package twice in a row.

 -- Emanuele Rocca <ema@debian.org>  Sat, 12 Dec 2015 23:24:05 +0100

wicd (1.7.2.4-4.2) unstable; urgency=high

  * Non-maintainer upload.
  * Support newer python-urwid (Closes: #800693)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 04 Oct 2015 10:32:42 +0200

wicd (1.7.2.4-4.1) unstable; urgency=low

  * Non-maintainer upload
  * Add patch by isis agora lovecruft to fix wicd-curses run time errors
    caused by the changes of python-urwid 1.1 API (Closes: #709120)
  * Bump wicd-curses dependency on python-urwid to >= 1.1

 -- Axel Beckert <abe@debian.org>  Fri, 07 Jun 2013 18:42:23 +0200

wicd (1.7.2.4-4) unstable; urgency=low

  * Move user-adding code from debconf-config to wicd-daemon postinst
    (Closes: #692916)

 -- David Paleino <dapal@debian.org>  Sat, 10 Nov 2012 21:41:50 +0100

wicd (1.7.2.4-3) unstable; urgency=low

  * Fix debian/watch
  * Recommend rfkill in wicd-daemon (Closes: #683559)
  * Substitute dependency on dhcp3-client with isc-dhcp-client
    (Closes: #680976)
  * Fix handling of /etc/resolv.conf when it's a symlink (Closes: #691973)

 -- David Paleino <dapal@debian.org>  Fri, 02 Nov 2012 21:49:32 +0100

wicd (1.7.2.4-2) unstable; urgency=high

  * Fix comments inside /etc/default/wicd (Closes: #668327)
  * Fixed sanitation bug (urgency=high)

 -- David Paleino <dapal@debian.org>  Fri, 04 May 2012 10:22:46 +0200

wicd (1.7.2.4-1) unstable; urgency=high

  * New upstream version
    - really fix local privilege escalation, CVE-2012-2095 (Closes: #668397)
  * Fixed typo in previous changelog entry

 -- David Paleino <dapal@debian.org>  Mon, 30 Apr 2012 21:32:55 +0200

wicd (1.7.2.3-1) unstable; urgency=high

  * New upstream version
    - fix bug with wicd-curses and UTF-8 locales (Closes: #669602)

 -- David Paleino <dapal@debian.org>  Sun, 22 Apr 2012 18:42:19 +0200

wicd (1.7.2.2-1) unstable; urgency=high

  * New upstream version
    - fix bug with encryption templates (Closes: #669388)

 -- David Paleino <dapal@debian.org>  Thu, 19 Apr 2012 22:47:05 +0200

wicd (1.7.2.1-1) unstable; urgency=low

  * New upstream version
    - fix crash with wicd-curses (Closes: #668520)

 -- David Paleino <dapal@debian.org>  Thu, 12 Apr 2012 22:08:37 +0200

wicd (1.7.2-1) unstable; urgency=low

  * New upstream version
    - fixed local privilege escalation, CVE-2012-2095 (Closes: #668397)
  * Added Indonesian debconf translation, thanks to Mahyuddin
    Susanto (Closes: #658785)
  * Fixed debian/watch to look packages from launchpad
  * Bump Standards-Version to 3.9.3, no changes needed
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Thu, 12 Apr 2012 00:03:06 +0200

wicd (1.7.1-1) unstable; urgency=low

  * New upstream release
  * Patches refreshed to match 1.7.1's code

 -- David Paleino <dapal@debian.org>  Thu, 02 Feb 2012 20:36:02 +0100

wicd (1.7.1~b3-5) unstable; urgency=low

  * Finally, really fix the issue with ESSIDs containing \x00
    (Closes: #655159)

 -- David Paleino <dapal@debian.org>  Tue, 31 Jan 2012 18:35:41 +0100

wicd (1.7.1~b3-4) unstable; urgency=low

  * Fix translations even more (Closes: #655994)
  * Hopefully fixed bug with ESSIDs containing '\x00' (Closes: #655159)
  * Mask out sensitive info in logfiles (Closes: #652417)

 -- David Paleino <dapal@debian.org>  Sat, 21 Jan 2012 11:24:53 +0100

wicd (1.7.1~b3-3) unstable; urgency=low

  * More backports from upstream:
    - fix various translation bugs (Closes: #651804)
    - fix check for configfile existence (Closes: #651933)
    - fix various issues with unicode (Closes: #588444, #612981)

 -- David Paleino <dapal@debian.org>  Fri, 16 Dec 2011 12:33:29 +0100

wicd (1.7.1~b3-2) unstable; urgency=low

  * Don't wipe out configuration files (03-fix_configmanager_bug.patch)
  * Backported upstream fixes (04-backport_upstream_fixes.patch)
    - Fixed mismatch between DBus API and code (Closes: #651412)
    - Fixed typo -- dict being used with ()

 -- David Paleino <dapal@debian.org>  Sun, 11 Dec 2011 20:50:33 +0100

wicd (1.7.1~b3-1) unstable; urgency=low

  * New upstream beta release
    - useless patches removed, most of them merged upstream.
      Remaining ones:
      + 01-remove_unused_icons.patch
      + 26-support_etc-network_scripts.patch
      + 32-prefer_gksu.patch
    - documented wicd-gtk's -t option (Closes: #648757)
    - keep configuration files sorted (Closes: #568326)
    - show correct ESSID in status bar (Closes: #535507, #647503)
    - show correct ESSID when rescanning networks (Closes: #552254)
    - redesigned l10n system (Closes: #572375)
  * Added Dutch Debconf translation, thanks to Jeroen Schot
    (Closes: #643640)
  * Drop kdesu, ktsuss and sudo from wicd-gtk's Recommends.
  * Make wicd-daemon Pre-Depend on debconf (>= 1.5.34) to correctly
    handle sr@latin translation (Closes: #647626)
  * Removed get-orig-source target from debian/rules, no more needed
  * Compile translations at build-time in debian/rules, using
    setup.py's machinery
  * Clean files after build using debian/clean
  * Workaround dhclient's bug trying to set a different hostname
    (see #609851)

 -- David Paleino <dapal@debian.org>  Tue, 06 Dec 2011 22:05:11 +0100

wicd (1.7.0+ds1-9) unstable; urgency=high

  * Fix postinst: it breaks dh_python2's layout

 -- David Paleino <dapal@debian.org>  Sat, 22 Oct 2011 11:25:07 +0200

wicd (1.7.0+ds1-8) unstable; urgency=low

  * Really fix debconf when non-existing users are involved
    (Closes: #634051)
  * Switch package to dh_python2 from dh_pysupport

 -- David Paleino <dapal@debian.org>  Fri, 21 Oct 2011 23:00:49 +0200

wicd (1.7.0+ds1-7) unstable; urgency=low

  * Standards-Version bump to 3.9.2, no changes needed
  * Updated debian/copyright to match latest DEP-5
  * Implement a -t/--tray switch to only run the wicd tray icon
    (36-implement_tray-only.patch) (Closes: #583684)
  * Replace "cli" with "console" (to avoid the usage of "CLI", which is used
    by Mono applications) in wicd-cli's short description
    (Closes: #617328)
  * Add Danish debconf translation, thanks to Joe Dalton
    (Closes: #621364)
  * Add Serbian debconf translation, thanks to Zlatan Todoric
    (Closes: #635079, #635080)
  * 34-dont_save_useless_config.patch: drop useless has_profile=False
    sections and more (Closes: #629364)
  * Work-around adding non-existing users to debconf (Closes: #634051)
  * Fix suspend scripts, they had old paths (37-fix_suspend_scripts.patch)
    (Closes: #635444)
  * Fix search for libc in wicd/misc.py (38-fix_libc_ctype_linking.patch)
    (Closes: #636941)
  * 39-fix_channel_digit_parsing.patch: support channels with more than
    2 digits (Closes: #640075)
  * 40-checkbox_passwords.patch: add a checkbox to show/hide passwords
    (Closes: #573096) (LP: #476982)
  * 41-add_new_templates.patch: new encryption templates (Closes: #641531)
  * 42-support_new_urwid.patch: support urwid 1.0.0 (Closes: #645681)

 -- David Paleino <dapal@debian.org>  Mon, 17 Oct 2011 22:18:06 +0200

wicd (1.7.0+ds1-6) unstable; urgency=low

  * debian/patches/:
    - 26-support_etc-network_scripts.patch refreshed, /etc/network/
      scripts should now be properly supported (Closes: #579497)
    - 31-dont_crash_on_notification_exceptions.patch added
      (Closes: #569755, #587303)
    - 32-prefer_gksu.patch added (Closes: #575403)
    - 33-deepcopy_python27_fixes.patch backported from Ubuntu,
      thanks to Matthieu Baerts (LP: #602825)
    - 34-dont_save_useless_config.patch added: don't save link quality,
      signal strength and bitrates in the configuration files.
      (Closes: #612918)
    - 35-restrict_netmode_characters.patch added, don't crash
      if the network mode is not what we expect. Thanks to Julien
      Blache for the patch (Closes: #550957)
  * debian/control:
    - removed depedency on python-iniparse from wicd-daemon
    - removed Build-Depends on quilt
    - fixed typo in long description, thanks to Martin Eberhard Schauer
      (Closes: #611567)
    - bump Standards-Version to 3.9.1, no changes needed
    - use Breaks+Replaces instead of Conflicts+Replaces
  * debian/rules:
    - don't use "--with quilt" anymore
  * debian/po/pt_BR.po added: debconf translation for Brazilian
    Portuguese, thanks to Adriano Rafael Gomes (Closes: #594266)
  * debian/wicd-daemon.config: don't ask if all users are already
    in the netdev group (Closes: #588078)
  * debian/wicd-cli.8: explain -w/--save and -m/--name (Closes: #583586)
  * debian/wicd-daemon.wicd.init, export $PATH, makes the daemon work
    in a clean environment. Thanks to Peter Palfrader (Closes: #604810)
  * debian/wicd-curses.postrm: redirect stderr (Closes: #605338)

 -- David Paleino <dapal@debian.org>  Sat, 12 Feb 2011 00:16:58 +0100

wicd (1.7.0+ds1-5) unstable; urgency=medium

  * debian/patches/series:
    - 26-support_etc-network_scripts.patch disabled, needs more proper
      support (reopen #579497)

 -- David Paleino <dapal@debian.org>  Sat, 29 May 2010 09:17:32 +0200

wicd (1.7.0+ds1-4) unstable; urgency=high

  * Urgency high because of RC #582980
  * debian/patches:
    - 25-use_dhcpcd_also_in_Debian.patch refreshed, to make it work
      again with dhcpcd. Thanks to Brad Jorsch (Closes: #582980)
    - 30-make_connection_info_selectable.patch added (Closes: #571579)

 -- David Paleino <dapal@debian.org>  Tue, 25 May 2010 19:20:33 +0200

wicd (1.7.0+ds1-3) unstable; urgency=low

  * debian/control:
    - fixed package descriptions (Closes: #574152)
  * debian/patches/:
    - 23-fix_script_macro_expansion.patch ported from upstream,
      fixes bug in script macro expansion.
    - 24-wait_for_DHCP_client.patch added, waits for DHCP's client
      process to end, avoiding zombie processes. Thanks to Marin
      Ivanov for the patch! (Closes: #537195)
    - 25-use_dhcpcd_also_in_Debian.patch added: upstream changed
      the client from dhcpcd to dhcpcd-bin. This patch reverts it,
      so that defaults in /etc/default/dhcpcd are still observed.
      (Closes: #578014)
    - 26-support_etc-network_scripts.patch added, support /etc/network/
      hierarchy for connection scripts (Closes: #579497)
    - 27-fix_resolv.conf_perms.patch added, make sure dhclient.conf has
      0644 permissions (Closes: #582798)
    - 28-announce_dhclient.conf.template.patch added, describe
      /etc/wicd/dhclient.conf.template in wicd(8) (Closes: #582817)
    - 29-document_variables_passed_to_scripts.patch added (Closes: #570891)
  * debian/NEWS.Debian updated to announce /etc/wicd/dhclient.conf.template

 -- David Paleino <dapal@debian.org>  Mon, 24 May 2010 18:11:17 +0200

wicd (1.7.0+ds1-2) unstable; urgency=low

  * Fix RC bug: daemon doesn't start anymore because copy.deepcopy()
    fails with the iniparse object, coming from 20-use_iniparse.patch.
    Bug 568326 reopened. (Closes: #572599)

 -- David Paleino <dapal@debian.org>  Fri, 05 Mar 2010 18:12:51 +0100

wicd (1.7.0+ds1-1) unstable; urgency=low

  * New repacked tarball, contains translations .po files
    (Closes: #572352)
  * debian/bug-control added, let's add more info to the bugreports!
  * debian/control:
    - debhelper dependency bumped to >= 7.2.3~, to use dh_bugfiles
    - added dependency on python-iniparse to wicd-daemon
  * debian/rules:
    - make dh_bugfiles act on all packages
    - add get-orig-source target, to build a package containing the
      .po files
  * debian/patches/:
    - 20-use_iniparse.patch added, uses python-iniparse instead of
      standard library's ConfigParser (Closes: #568326)
    - 21-fix_ESSID_setting.patch added, use correct command to set
      ESSID's (useful when a network is named "off" or "any")
      (Closes: #571100)
    - 22-fix_deprecation.patch added, fixes some deprecated usage of
      gtk.Statusbar (Closes: #571314)
  * debian/watch updated to mangle Debian version

 -- David Paleino <dapal@debian.org>  Thu, 04 Mar 2010 10:59:30 +0100

wicd (1.7.0-3) unstable; urgency=low

  * Remove .pyo and .pyc files upon package removal (Closes: #565637)
    - debian/wicd-daemon.postrm updated
    - debian/wicd-cli.postrm, debian/wicd-curses.postrm,
      debian/wicd-gtk.postrm added
  * debian/control:
    - removed trailing comma in wicd-daemon Recommends
    - Standards-Version bumped to 3.8.4, no changes needed
  * debian/wicd-daemon.postinst: better handle upgrades (Closes: #566023)
  * debian/wicd-daemon.wicd.init: correctly handle the exit code for
    the "status" command (Closes: #567070)
  * debian/patches/:
    - 03-fix_typo_wicd-cli.patch added, fixes typo preventing
      wicd-cli from working at all (Closes: #567665)

 -- David Paleino <dapal@debian.org>  Mon, 01 Feb 2010 18:43:38 +0100

wicd (1.7.0-2) unstable; urgency=low

  * debian/rules:
    - pass --install-layout=deb to python setup.py install
      (Closes: #565536)
  * debian/control:
    - break circular dependency, make wicd-daemon only Recommend the
      clients. (Closes: #565608)

 -- David Paleino <dapal@debian.org>  Sun, 17 Jan 2010 12:40:57 +0100

wicd (1.7.0-1) unstable; urgency=low

  * Upload to unstable
  * New upstream release:
    - fixes udhcpc failure check (Closes: #563619)
    - makes network properties from command-line case-insensitive
      (Closes: #563620)
    - wicd-cli defaults to current active network, if no network
      ID is specified, when querying for a property. (Closes: #563622)
  * debian/patches/:
    - 01-remove_unused_icons.patch, 02-detect_ping_flavour.patch,
      05-use_binsh.patch and 08-fix_help_message.patch refreshed to
      cleanly apply.
    - 18-dont_run_unexpected_files_in_scripts.patch added, don't
      execute backup files (*~) or hidden ones (.*) from the scripts
      directories. (Closes: #563553)
    - 19-dhcpcd_dont_handle_link-local.patch added, don't let it
      handle link-local.
    - removed (merged upstream or no more applicable):
      + 04-fix-scripts.patch
      + 10-order_scripts_directories.patch
      + 12-fix_wrong_PYTHONPATHs.patch
      + 13-fix_codesplit_remnants.patch
  * debian/rules:
    - remove .empty_on_purpose files from the binary packages
  * debian/wicd-daemon.wicd.init: add $remote_fs to Required-Start
    and Required-Stop, thanks Lintian!

 -- David Paleino <dapal@debian.org>  Fri, 15 Jan 2010 11:14:13 +0100

wicd (1.7.0~b3-1) experimental; urgency=low

  * New experimental upstream version
  * debian/watch updated to track latest experimental version
  * debian/patches/:
    - all patches refreshed to cleanly apply
    - 12-fix_wrong_PYTHONPATHs.patch added, fix spurious PYTHONPATHs
      in beta release
    - 13-fix_codesplit_remnants.patch added, needed to fix some
      remaining issues happened between 1.7.0~a1 and 1.7.0~b3
  * debian/wicd-curses.docs: adding README.curses
  * debian/rules:
    - clean target, remove extra stale files
    - clean target, recreate the init/ hierarchy, needed for build
      (or after a "git clone")
    - don't override install-lib anymore
  * debian/*.install updated, use the new directory layout
  * debian/control:
    - added python-wicd and wicd-cli packages
    - remove Conflicts/Replaces from wicd binary section
  * debian/wicd-cli.* added
  * debian/python-wicd.install added

 -- David Paleino <dapal@debian.org>  Sun, 03 Jan 2010 21:02:28 +0100

wicd (1.6.2.2-5~exp2) experimental; urgency=low

  * The OH-MY-GOD-IT'S-TOO-LATE brown-paper-bug upload
  * debian/scripts/wicd-gtk, it's really a shell script, not
    a Python one o:)

 -- David Paleino <dapal@debian.org>  Sun, 20 Dec 2009 17:58:23 +0100

wicd (1.6.2.2-5~exp1) experimental; urgency=low

  * debian/README.Debian: removed old instructions
  * Most debian/* files split to proper per-package files
  * debian/control:
    - GUI and non-GUI packages split. This should allow
      for wicd installation without depending on GTK
      (then, X) (Closes: #546906)
    - add wicd-gtk and wicd-curses packages, both providing
      wicd-client.
    - added wicd-daemon package, substituting old "wicd"
      package
    - added wicd metapackage, depending on everything else,
      to allow seamless upgrade from older versions.
    - made all packages conflict with older versions
    - added python-gobject dependency to wicd-daemon
    - bump Build-Depends to use dh7 overrides and quilt
  * debian/rules:
    - fixed to deal with multiple binary packages
    - rewritten to use dh7
  * debian/source/format added -- use 3.0 (quilt)
  * debian/wicd-curses.docs added
  * debian/patches/12-rename_wicd-client_to_wicd-gtk.patch , rename
    wicd-client to wicd-gtk where appropriate
  * debian/po/POTFILES.in fixed with the new templates file
  * debian/wicd-gtk.links added

 -- David Paleino <dapal@debian.org>  Sat, 12 Dec 2009 18:53:23 +0100

wicd (1.6.2.2-4) unstable; urgency=low

  * debian/control:
    - updated my email address
    - DMUA removed
  * debian/config: add --quiet to adduser, don't show messages if
    user is already in netdev (Closes: #556182)
  * debian/patches/:
    - 07-workaround_urwid_API_change.patch added, handle API change
      between python-urwid 0.9.8.4 and python-urwid 0.9.9
      (Closes: #557462)
    - 08-fix_help_message.patch added, fix minor issue with help
      message of wicd-curses
    - 09-allow_empty_DNS.patch added, one might run a local
      forwarder and 127.0.0.1 wouldn't work (Closes: #552598)
    - 10-order_scripts_directories.patch added, scripts were run
      in a random order (python's os.listdir())
    - 11-fix_gui_showing_from_tray.patch added, raises the GUI
      also when it was trayed in an iconified state (Closes: #549625)
  * debian/links removed, debian/manpages added (Closes: #557173)

 -- David Paleino <dapal@debian.org>  Sat, 05 Dec 2009 13:04:40 +0100

wicd (1.6.2.2-3) unstable; urgency=low

  * debian/po/ja.po updated (Closes: #554838)
  * debian/patches/06-dont_bomb_out_on_configparser_error.patch added
    (Closes: #554949)

 -- David Paleino <d.paleino@gmail.com>  Sat, 07 Nov 2009 16:59:06 +0100

wicd (1.6.2.2-2) unstable; urgency=low

  * debian/po/ja.po added, thanks to Hideki Yamane (Closes: #546231)
  * debian/control:
    - remove Conflict on network-manager, since both can be used at
      the same time, provided they don't try to control the same
      interface (Closes: #548978)
    - added dependency on dbus (Closes: #540331, #551605)
  * debian/patches/05-use_binsh.patch added (Closes: #549443)

 -- David Paleino <d.paleino@gmail.com>  Mon, 26 Oct 2009 10:38:22 +0100

wicd (1.6.2.2-1) unstable; urgency=low

  * New upstream version
    - fixed connection templates (Closes: #536219)
    - fixed Ad-Hoc Network creation (Closes: #534718, #534215)
    - fixed Ad-Hoc Network dialog unresponsiveness (Closes: #537462)
    - according to upstream, fixed random crashes with DBus handling
      in wicd-curses (Closes: #539025)
    - fixes hidden network connection bug (Closes: #545141)
  * debian/control:
    - added missing dependency on ping (iputils- or inetutils-)
    - added python-notify to Recommends (Closes: #534271)
    - Standards-Version bumped to 3.8.3, no changes needed
  * debian/patches/:
    - 01-remove_unused_icons.patch added (Closes: #538009)
    - 02-detect_ping_flavour.patch added (Closes: #543656)
    - 05-fix_typo.patch removed, fixed upstream
  * debian/rules:
    - stylistic changes
    - don't install acpi-support integration anymore, let's
      just use pm-utils (LP: #366119)
  * debian/po/:
    - es.po added, thanks to Francisco Javier Cuadrado (Closes: #534661)
    - fr.po added, thanks to Steve Petruzzello (Closes: #537213)
  * debian/postrm:
    - removing /var/run/wicd on purge (Closes: #536444)
    - early load Debconf (Closes: #534648)
  * debian/README.Debian updated: explain the differences between
    iputils-ping and inetutils-ping, related to 02-detect_ping_flavour.patch.
    (Closes: #545458)

 -- David Paleino <d.paleino@gmail.com>  Mon, 07 Sep 2009 19:31:22 +0200

wicd (1.6.1-3) unstable; urgency=low

  * debian/config, debian/templates updated:
    - only show users to add to netdev, skip those who are already
      members (Closes: #534138)
    - gracefully handle upgrades from previous broken versions, where
      debconf set a value of ${default} for wicd/users
      (Closes: #532112)

 -- David Paleino <d.paleino@gmail.com>  Mon, 22 Jun 2009 17:59:27 +0200

wicd (1.6.1-2) unstable; urgency=low

  * debian/control:
    - Vcs-* fields updated (oops.)
  * debian/patches/05-fix_typo.patch added, fixes missing rename of
    global var

 -- David Paleino <d.paleino@gmail.com>  Sun, 21 Jun 2009 20:59:17 +0200

wicd (1.6.1-1) unstable; urgency=low

  * New upstream version:
    - Add Pre/Post-Disconnection scripts (Closes: #517383)
  * debian/templates:
    - merged the note into the multiselect screen
    - updated multiselect text, removed note
  * debian/control:
    - long description wording improved, thanks to Justin B Rye
      from the debian-l10n-english mailing list
    - Recommend graphical su programs to handle scripts (and sudo for
      wicd-curses) (Closes: #519915)
    - PAPT removed from Uploaders
    - Standards-Version bumped to 3.8.2, no changes needed
  * debian/patches/:
    - 01-fix_desktop_file.patch, 02-fix_logfile_perms.patch,
      03-fix_lintian_manpage_warning.patch, 10-add_udhcpc_support.patch
      removed, merged upstream
  * debian/init updated, status_of_proc() works now!
  * debian/po/:
    - cs.po added, thanks to Martin Šín (Closes: #532210)
    - de.po added, thanks to Helge Kreutzmann (Closes: #533446)
    - eu.po added, thanks to Piarres Beobide (Closes: #533615)
    - fi.po added, thanks to Esko Arajärvi (Closes: #533226)
    - pt.po added, thanks to Américo Monteiro (Closes: #533244)
    - ru.po added, thanks to Yuri Kozlov (Closes: #533213)
    - sv.po added, thanks to Martin Bagge (Closes: #532160)
    - zh_CN.po added, thanks to Deng Xiyue (Closes: #533392)
  * debian/rules:
    - pass --loggroup and --logperms to setup.py

 -- David Paleino <d.paleino@gmail.com>  Sun, 21 Jun 2009 11:32:22 +0200

wicd (1.6.0-2~pre1) experimental; urgency=low

  * debian/config:
    - use getent group instead of grepping /etc/group
    - remove ${default} substitution
    - fixed typo in db_subst of ${users}
  * debian/templates:
    - remove Default field in wicd/users (Closes: #532112)
  * debian/po/* updated
  * debian/patches/01-fix_desktop_file.patch added

 -- David Paleino <d.paleino@gmail.com>  Sat, 06 Jun 2009 22:35:22 +0200

wicd (1.6.0-1) experimental; urgency=low

  * New upstream version
    - DBus at_console policy fixed (Closes: #530505, #525622)
    - wireless channel shown in overview (Closes: #525542)
    - added "Search domain" option in preferences tab (Closes: #516466)
  * debian/patches/:
    - 01-fix_desktop_file.patch, 07-add_resolvconf_support.patch
      removed, fixed upstream
    - 02-fix_logfile_perms.patch, 03-fix_lintian_manpage_warning.patch,
      04-fix-scripts.patch refreshed
    - 05-fix_DBus_policy.patch removed, permissions given to the
      `netdev' group via a configuration option
    - 06-add_LC_MESSAGES_parsing.patch removed, fixed upstream (in
      wicd/translations.py)
    - 09-fix_wire_plugging_detection.patch fixed (Closes: #522057)
    - 10-add_udhcpc_support.patch added, thanks to "madmo" from the
      Wicd forums for making it, and to Luca Capello for fixing and
      porting it to 1.5.9, now ported to 1.6.0 (Closes: #520014)
  * original debian/po removed, substituted by debconf's translations
  * debian/config, debian/templates added, initial debconf support
    (Closes: #524060)
  * debian/control:
    - Build-Dependency on po-debconf added
    - added missing dependency on lsb-base
    - added missing dependency on python-urwid, needed by wicd-curses
    - added missing dependency on psmisc (Closes: #520925)
    - added alternative dependency on udhcpc
  * debian/postinst:
    - enable debconf questions
  * debian/README.Debian updated: specify that DBus should be boot-started
    before wicd (Closes: #526408)
  * debian/init: added support for "status" command, thanks to Peter
    Eisentraut (Closes: #528928)
  * debian/rules updated
  * debian/watch fixed not to catch alpha/beta releases

 -- David Paleino <d.paleino@gmail.com>  Sat, 06 Jun 2009 01:03:58 +0200

wicd (1.5.9-5) unstable; urgency=low

  * debian/patches/:
    - 08-fix_GetIP.patch added, thanks to Giuseppe Martino
      (Closes: #519433)
    - 09-fix_wire_plugging_detection.patch, added, thanks to Giuseppe
      Martino (Closes: #503738)
  * debian/control:
    - Standards-Version bumped to 3.8.1:
      + debian/init fixed, /var/run/wicd created on init.d script
      start, since /var/run may be mounted as a temporary filesystem
      (§9.3.2)

 -- David Paleino <d.paleino@gmail.com>  Mon, 16 Mar 2009 00:51:43 +0100

wicd (1.5.9-4) unstable; urgency=low

  * debian/control:
    - fixing typo in Depends field: dhcpd <> dhcpcd (Closes: #518459)

 -- David Paleino <d.paleino@gmail.com>  Fri, 06 Mar 2009 11:52:15 +0100

wicd (1.5.9-3) unstable; urgency=low

  * The brown-paper-bag bug release
  * debian/postinst:
    - only force-reload DBus if it's already started (Closes: #517395),
      I had already fixed this in debian/postrm before (see -2).
  * debian/patches/:
    - 06-add_LC_MESSAGES_parsing.patch updated: workaround "bug" in
      python's locale.getdefaultlocale(), putting LC_CTYPE at a higher
      priority than LC_MESSAGES (well, not considering it at all)
      (really closes: #514553)

 -- David Paleino <d.paleino@gmail.com>  Fri, 27 Feb 2009 22:10:05 +0100

wicd (1.5.9-2) unstable; urgency=low

  * debian/patches/:
    - 06-add_LC_MESSAGES_parsing.patch added (Closes: #514553)
    - 07-add_resolvconf_support.patch added (Closes: #514597)
  * debian/README.Debian updated:
    - add information on how to add users to netdev.
    - add information on how to reload DBus
  * debian/NEWS.Debian updated:
    - add information on how to reload DBus
  * debian/control:
    - swapped Maintainer/Uploaders fields
  * debian/postrm:
    - only force-reload DBus if it's already started (Closes: #514778)
  * debian/postinst: add a netdev *group*, not *user* (Closes: #516317)
  * debian/po/fr.po added, debian/rules updated:
    - workaround to fix broken translation in broken i18n system
      (Closes: #516459)

 -- David Paleino <d.paleino@gmail.com>  Sun, 22 Feb 2009 21:30:47 +0100

wicd (1.5.9-1) unstable; urgency=low

  * New upstream release:
    - Fixed security hole in DBus configuration file
    - Fixed the TTLS template
  * debian/patches/:
    - 05-fix_DBus_policy.patch added, allow only members of the netdev
      group to configure wicd (Closes: #512160)
  * debian/postinst: add group "netdev", which will be the only one able
    to configure wicd
  * debian/control: added dependency on adduser
  * debian/NEWS.Debian and debian/docs added, explain the new permissions
    policy

 -- David Paleino <d.paleino@gmail.com>  Sun, 08 Feb 2009 14:57:56 +0100

wicd (1.5.8-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - DM-Upload-Allowed set (ACKed by Bernd Zeimetz)

 -- David Paleino <d.paleino@gmail.com>  Fri, 09 Jan 2009 19:17:27 +0100

wicd (1.5.7-2) unstable; urgency=high

  [ David Paleino ]
  * debian/rules:
    - passing --lib to configure, moving files in /usr/share/wicd
      (Closes: #510461)
    - also removing other/55wicd in clean target
    - binary-arch target emptied, not using it
  * debian/prerm removed:
  * debian/postinst updated:
  * debian/postrm updated:
    - fix double-{starting,stopping} of wicd
    - forcibly reload dbus upon installation or removal
  * debian/default added.
  * debian/init updated:
    - allow to disable the daemon in /etc/default/wicd.

  [ Bernd Zeimetz ]
  * debian/rules:
    - run dh_pysupport before dh_installinit, so Python modules will be
      compiled before the daemon starts (Closes: #510457)
    - call setup.py configure and install with appropriate options, so the
      modules are installed in the private module directory properly
      (Closes: #510462).
  * debian/patches/04-fix-scripts.patch:
    - set PYTHONPATH while executing script so Python will find them
      in the private directory (Closes: #510308)

 -- David Paleino <d.paleino@gmail.com>  Fri, 02 Jan 2009 18:20:29 +0100

wicd (1.5.7-1) unstable; urgency=low

  * New upstream release (Closes: #503737)
  * debian/control:
    - added some runtime dependencies (not really, but used by most
      users) to wicd (Closes: #503739)
    - added Conflicts: network-manager (Closes: #509051)
    - added Suggests on pm-utils, since we now also have those
      functionalities
    - update Vcs-* and Maintainer fields to reflect injection into
      PAPT
  * debian/postrm added:
    - removes runtime-generated files (Closes: #503747)
  * debian/patches:
    - 02-fix_logfile_perms.patch added, sets permissions of
      /var/log/wicd/wicd.log to root:adm (Closes: #503749)
    - 03-fix_lintian_manpage_warning.patch added, gives a more
      meaningful whatis entry
  * debian/rules:
    - get-orig-source target to ease upstream tarball fetch
    - ensure right permissions are set in install target
    - using dh7-style rules
  * debian/README.source added
  * debian/docs removed
  * debian/copyright fixed:
    - added copyright year to in/man*
    - removed useless escaping of '=' in filenames
    - fixed pointer to GPL-2

 -- David Paleino <d.paleino@gmail.com>  Wed, 24 Dec 2008 17:37:13 +0100

wicd (1.5.2-1) unstable; urgency=low

  * Initial release (Closes: #465870)

 -- David Paleino <d.paleino@gmail.com>  Sun, 14 Sep 2008 11:43:47 +0200
